ros-melodic-camera-calibration (1.15.2-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 13 Jul 2022 05:00:00 -0000

ros-melodic-camera-calibration (1.15.1-1bionic) bionic; urgency=high

  * Fix calibration yaml formatting (#580 <https://github.com/ros-perception/image_pipeline/issues/580>)
  * updated linear_error function to handle partial board views (#560 <https://github.com/ros-perception/image_pipeline/issues/560>)
    * updated linear_error function to handle partial board views
    * more charuco fixes
    * filter len fix
  * Fix missing detected checkerboard points (#556 <https://github.com/ros-perception/image_pipeline/issues/556>)
    Variables are swapped
  * Add ChArUco board target (#548 <https://github.com/ros-perception/image_pipeline/issues/548>)
    * detecting ChArUco board
    * successful ChArUco calibration
    * updated with review comments
  * fixes for fisheye calibration (#542 <https://github.com/ros-perception/image_pipeline/issues/542>)
    * fix #503 <https://github.com/ros-perception/image_pipeline/issues/503>:
    set_cammodel of StereoCalibrator need to override the method of parent class
    fix related to https://github.com/opencv/opencv/issues/11085
  * Contributors: David Torres Ocaña, Gonçalo Camelo Neves Pereira, John Stechschulte, Joshua Whitley, Photon, Stewart Jamieson, soeroesg

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 11 Dec 2020 06:00:00 -0000

ros-melodic-camera-calibration (1.15.0-1bionic) bionic; urgency=high

  * Fix import path on camera_calibrator.py (#509 <https://github.com/ros-perception/image_pipeline/issues/509>)
  * Fixes #501 <https://github.com/ros-perception/image_pipeline/issues/501>: self.size is set before dumping calibration parameters in calibrator.py do_calibration(self, dump) (#502 <https://github.com/ros-perception/image_pipeline/issues/502>)
  * Contributors: Gonçalo Camelo Neves Pereira, Stewart Jamieson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 May 2020 05:00:00 -0000

ros-melodic-camera-calibration (1.14.0-1bionic) bionic; urgency=high

  * Add Fisheye calibration tool (#440 <https://github.com/ros-perception/image_pipeline/issues/440>)
    * Add Fisheye calibration tool
    * Restore camera_calib files permisions
    * Upgrades to calibrator tool for multi model calibration
    * Solve fisheye balance selection
    * Add fisheye calibration flags as user arguments
    * Add undistortion of points for fisheye
    * cam_calib: Style formating
  * camera_calibration: Improve YAML formatting, make config dumping methods static (#438 <https://github.com/ros-perception/image_pipeline/issues/438>)
    * Add from __future__ import print_function
    * Improve YAML formatting, make some methods static
    * Improves matrix formatting in YAML.
    * Reduced decimal figures for camera and projection matrix values from 8 to 5.
    * Making the methods static allows them to be used from elsewhere as well to dump calibration info.
  * camera_calibration: Fix all-zero distortion coeffs returned for a rational_polynomial model (#433 <https://github.com/ros-perception/image_pipeline/issues/433>)
    * Fix empty distortion coeffs returned for a rational_polynomial model
    * Remove the redundant distCoeffs parameter from cv2.calibrateCamera()
    * Set the shape of distortion_coefficients correctly in YAML output
  * Merge pull request #437 <https://github.com/ros-perception/image_pipeline/issues/437> from valgur/enable-calibration-with-empty-queue
    camera_calibration: Make sure 'calibrate' button works even if not receiving images anymore
  * Make sure 'calibrate' button works even if not receiving images anymore
  * Merge pull request #432 <https://github.com/ros-perception/image_pipeline/issues/432> from valgur/melodic
    camera_calibration: Fix excessive CPU usage due to queue synchronization
  * Replace deque with a modified Queue, add --queue-size param
    Base fork on upstream melodic instead of indigo
  * Contributors: David Torres Ocaña, Joshua Whitley, Martin Valgur, Tim Übelhör

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 12 Jan 2020 06:00:00 -0000

ros-melodic-camera-calibration (1.13.0-1bionic) bionic; urgency=high

  * Merge pull request #356 <https://github.com/ros-perception/image_pipeline/issues/356> from sevangelatos/feature/calibrator_rolling_shutter
  * Add max-chessboard-speed option to allow more accurate calibration of rolling shutter cameras.
  * Merge pull request #334 <https://github.com/ros-perception/image_pipeline/issues/334> from Fruchtzwerg94/patch-2
    Scale pixels down from 16 to 8 bits instead of just clipping
  * Merge pull request #340 <https://github.com/ros-perception/image_pipeline/issues/340> from k-okada/286
    use waitKey(0) instead of while loop
  * Merge pull request #395 <https://github.com/ros-perception/image_pipeline/issues/395> from ros-perception/steve_maintain
  * adding autonomoustuff mainainer
  * adding stevemacenski as maintainer to get emails
  * Scale pixels down from 16 to 8 bits instead of just clipping
    Clipping 16 bit pixels just to 8 bit pixels leads to white images if the original image uses the full range of the 16 bits. Instead the pixel should be scaled down to 8 bits.
  * Contributors: Joshua Whitley, Kei Okada, Philipp, Spiros Evangelatos, Yoshito Okada, stevemacenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 12 Jun 2019 05:00:00 -0000

ros-melodic-camera-calibration (1.12.23-1bionic) bionic; urgency=high

  * camera_checker: Ensure cols + rows are in correct order (#319 <https://github.com/ros-perception/image_pipeline/issues/319>)
    Without this commit, specifying a smaller column than row size lead to
    huge reported errors:
    ```
    $ rosrun camera_calibration cameracheck.py --size 6x7 --square 0.0495
    Linearity RMS Error: 13.545 Pixels      Reprojection RMS Error: 22.766 Pixels
    $ rosrun camera_calibration cameracheck.py --size 7x6 --square 0.0495
    Linearity RMS Error: 0.092 Pixels      Reprojection RMS Error: 0.083 Pixels
    ```
    This commit switches columns and rows around if necessary.
  * Contributors: Martin Günther

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 May 2018 05:00:00 -0000

ros-melodic-camera-calibration (1.12.22-1bionic) bionic; urgency=high

  * Changed flags CV_LOAD_IMAGE_COLOR by IMREAD_COLOR to adapt to Opencv3. (#252 <https://github.com/ros-perception/image_pipeline/issues/252>)
  * Fixed stereo calibration problem with chessboard with the same number of rows and cols by rotating the corners to same direction.
  * Contributors: jbosch

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Dec 2017 06:00:00 -0000

ros-melodic-camera-calibration (1.12.21-1bionic) bionic; urgency=high

  * re-add the calibration nodes but now using the Python modules.
    Fixes #298 <https://github.com/ros-perception/image_pipeline/issues/298>
  * Move nodes to Python module.
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Nov 2017 05:00:00 -0000

ros-melodic-camera-calibration (1.12.20-1bionic) bionic; urgency=high

  * properly save bytes buffer as such
    This is useful for Python 3 and fixes #256 <https://github.com/ros-perception/image_pipeline/issues/256>.
  * Get tests slightly looser.
    OpenCV 3.2 gives slightly different results apparently.
  * Use floor division where necessary. (#247 <https://github.com/ros-perception/image_pipeline/issues/247>)
  * Fix and Improve Camera Calibration Checker Node (#254 <https://github.com/ros-perception/image_pipeline/issues/254>)
    * Fix according to calibrator.py API
    * Add approximate to cameracheck
  * Force first corner off chessboard to be uppler left.
    Fixes #140 <https://github.com/ros-perception/image_pipeline/issues/140>
  * fix doc jobs
    This is a proper fix for #233 <https://github.com/ros-perception/image_pipeline/issues/233>
  * During stereo calibration check that the number of corners detected in the left and right images are the same. This fixes ros-perception/image_pipeline#225 <https://github.com/ros-perception/image_pipeline/issues/225>
  * Contributors: Leonard Gerard, Martin Peris, Vincent Rabaud, hgaiser

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 30 Apr 2017 05:00:00 -0000

ros-melodic-camera-calibration (1.12.19-1bionic) bionic; urgency=high

  * Fix array check in camerachecky.py
    This closes #205 <https://github.com/ros-perception/image_pipeline/issues/205>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 24 Jul 2016 05:00:00 -0000

ros-melodic-camera-calibration (1.12.18-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 12 Jul 2016 05:00:00 -0000

ros-melodic-camera-calibration (1.12.17-1bionic) bionic; urgency=high

  * fix typo np -> numpy
  * fix failing tests
  * Contributors: Shingo Kitagawa, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 05:00:00 -0000

ros-melodic-camera-calibration (1.12.16-1bionic) bionic; urgency=high

  * clean OpenCV dependency in package.xml
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 19 Mar 2016 05:00:00 -0000

ros-melodic-camera-calibration (1.12.15-1bionic) bionic; urgency=high

  * better 16 handling in mkgray
    This re-uses #150 <https://github.com/ros-perception/image_pipeline/issues/150> and therefore closes #150 <https://github.com/ros-perception/image_pipeline/issues/150>
  * fix OpenCV2 compatibility
  * fix tests with OpenCV3
  * [Calibrator]: add yaml file with calibration data in output
  * Contributors: Vincent Rabaud, sambrose

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 17 Jan 2016 06:00:00 -0000

ros-melodic-camera-calibration (1.12.14-1bionic) bionic; urgency=high

  * remove camera_hammer and install Python nodes properly
    camera_hammer was just a test for camera info, nothing to do with
    calibration. Plus the test was basic.
  * Correct three errors that prevented the node to work properly.
  * Contributors: Filippo Basso, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 22 Jul 2015 05:00:00 -0000

ros-melodic-camera-calibration (1.12.13-1bionic) bionic; urgency=high

  * replace Queue by deque of fixed size for simplicity
    That is a potential fix for #112 <https://github.com/ros-perception/image_pipeline/issues/112>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 06 Apr 2015 05:00:00 -0000

ros-melodic-camera-calibration (1.12.12-1bionic) bionic; urgency=high

  * try to improve #112 <https://github.com/ros-perception/image_pipeline/issues/112>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 31 Dec 2014 06:00:00 -0000

ros-melodic-camera-calibration (1.12.11-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 Oct 2014 05:00:00 -0000

ros-melodic-camera-calibration (1.12.10-1bionic) bionic; urgency=high

  * Update calibrator.py
    bugfix: stereo calibrator crashed after the signature of the method for the computation of the epipolar error changed but the function call was not updated
  * Contributors: Volker Grabe

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 28 Sep 2014 05:00:00 -0000

ros-melodic-camera-calibration (1.12.9-1bionic) bionic; urgency=high

  * fix bad Python
  * only analyze the latest image
    fixes #97 <https://github.com/ros-perception/image_pipeline/issues/97>
  * flips width and height during resize to give correct aspect ratio
  * Contributors: Russell Toris, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 21 Sep 2014 05:00:00 -0000

ros-melodic-camera-calibration (1.12.8-1bionic) bionic; urgency=high

  * install scripts in the local bin (they are now rosrun-able again)
    fixes #93 <https://github.com/ros-perception/image_pipeline/issues/93>
  * fix default Constructor for OpenCV flags
    this does not change anything in practice as the flag is set by the node.
    It just fixes the test.
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 19 Aug 2014 05:00:00 -0000

ros-melodic-camera-calibration (1.12.6-1bionic) bionic; urgency=high

  * make sure the GUI is started in its processing thread and fix a typo
    This fully fixes #85 <https://github.com/ros-perception/image_pipeline/issues/85>
  * fix bad call to save an image
  * have display be in its own thread
    that could be a fix for #85 <https://github.com/ros-perception/image_pipeline/issues/85>
  * fix bad usage of Numpy
    fixes #89 <https://github.com/ros-perception/image_pipeline/issues/89>
  * fix asymmetric circle calibration
    fixes #35 <https://github.com/ros-perception/image_pipeline/issues/35>
  * add more tests
  * improve unittests to include all patterns
  * install Python scripts properly
    and fixes #86 <https://github.com/ros-perception/image_pipeline/issues/86>
  * fix typo that leads to segfault
    fixes #84 <https://github.com/ros-perception/image_pipeline/issues/84>
  * also print self.report() on calibrate ... allows to use the params without having to commit them (e.g. for extrensic calibration between to cameras not used as stereo pair)
  * fixes #76 <https://github.com/ros-perception/image_pipeline/issues/76>
    Move Python approximate time synchronizer to ros_comm
  * remove all trace of cv in Python (use cv2)
  * remove deprecated file (as mentioned in its help)
  * fixes #25 <https://github.com/ros-perception/image_pipeline/issues/25>
    This is just removing deprecated options that were around since diamondback
  * fixes #74 <https://github.com/ros-perception/image_pipeline/issues/74>
    calibrator.py is now using the cv2 only API when using cv_bridge.
    The API got changed too but it seems to only be used internally.
  * Contributors: Vincent Rabaud, ahb

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 27 Jul 2014 05:00:00 -0000

ros-melodic-camera-calibration (1.12.5-1bionic) bionic; urgency=high

  * Fix #68 <https://github.com/ros-perception/image_pipeline/issues/68>: StringIO issues in calibrator.py
  * fix architecture independent
  * Contributors: Miquel Massot, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 11 May 2014 05:00:00 -0000

ros-melodic-camera-calibration (1.12.4-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 28 Apr 2014 05:00:00 -0000

ros-melodic-camera-calibration (1.12.3-1bionic) bionic; urgency=high

  * camera_calibration: Fix Python import order
  * Contributors: Scott K Logan

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Apr 2014 05:00:00 -0000

ros-melodic-camera-calibration (1.12.2-1bionic) bionic; urgency=high

  * Fixes a typo on stereo camera info service calls
    Script works after correcting the call names.
  * Contributors: JoonasMelin

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 08 Apr 2014 05:00:00 -0000

ros-melodic-camera-calibration (1.11.4-1bionic) bionic; urgency=high

  * add visualization during calibration and several calibration flags (#48)

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Nov 2013 13:10:55 -0600


